package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.biz.dal.valid.ListValue;
import com.yonge.cooleshow.common.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

/**
 * @author: cy
 * @date: 2022/3/31 11:32
 */
@ApiModel(value = "VideoLessonGroupUpVo对象", description = "视频课组")
public class VideoLessonGroupUpVo extends BaseEntity {

    @ApiModelProperty(value = "主键id")
    @NotNull(message = "视频组id不能为空")
    private Long id;

    @ApiModelProperty(value = "课程名称")
    private String lessonName;

    @ApiModelProperty(value = "课程声部")
    private String lessonSubject;

    @ApiModelProperty(value = "课程介绍")
    private String lessonDesc;

    @ApiModelProperty(value = "课程价格")
    private Integer lessonPrice;

    @ApiModelProperty(value = "课程封面图片URL")
    private String lessonCoverUrl;

    @ApiModelProperty(value = "排序号")
    private Integer sortNumber;

    @ApiModelProperty(value = "课程标签")
    private String lessonTag;

    @ApiModelProperty(value = "是否置顶")
    private Integer topFlag;

    @ApiModelProperty(value = "是否热门课程")
    private Integer hotFlag;

    @ApiModelProperty(value = "审核状态(0:待审核;1:通过;2:未通过)")
    @ListValue(vals = {0, 1, 2}, message = "审核状态必须提交指定值")
    private Integer auditStatus;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getLessonName() {
        return lessonName;
    }

    public void setLessonName(String lessonName) {
        this.lessonName = lessonName;
    }

    public String getLessonSubject() {
        return lessonSubject;
    }

    public void setLessonSubject(String lessonSubject) {
        this.lessonSubject = lessonSubject;
    }

    public String getLessonDesc() {
        return lessonDesc;
    }

    public void setLessonDesc(String lessonDesc) {
        this.lessonDesc = lessonDesc;
    }

    public Integer getLessonPrice() {
        return lessonPrice;
    }

    public void setLessonPrice(Integer lessonPrice) {
        this.lessonPrice = lessonPrice;
    }

    public String getLessonCoverUrl() {
        return lessonCoverUrl;
    }

    public void setLessonCoverUrl(String lessonCoverUrl) {
        this.lessonCoverUrl = lessonCoverUrl;
    }

    public Integer getSortNumber() {
        return sortNumber;
    }

    public void setSortNumber(Integer sortNumber) {
        this.sortNumber = sortNumber;
    }

    public String getLessonTag() {
        return lessonTag;
    }

    public void setLessonTag(String lessonTag) {
        this.lessonTag = lessonTag;
    }

    public Integer getTopFlag() {
        return topFlag;
    }

    public void setTopFlag(Integer topFlag) {
        this.topFlag = topFlag;
    }

    public Integer getHotFlag() {
        return hotFlag;
    }

    public void setHotFlag(Integer hotFlag) {
        this.hotFlag = hotFlag;
    }

    public Integer getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(Integer auditStatus) {
        this.auditStatus = auditStatus;
    }
}
